Upload your own CA Certificate.

Prev Next
Post
/certificate-authority/ca/next/upload

Upload your own next CA certificate and private key for migration. The certificate attributes will be validated to match the expected attributes.

Security
HTTP
Type bearer
Body parameters
object
p12
string (byte)

P12 binary in Base64 format.

password
string

Password for the p12 file.

Default""
crlUrl
string

The URL where the CRL will be hosted.

Examplehttps://authority.company.com/appgate.crl
Responses
200

Uploaded CA certificate details with the certificate encoded in PEM format.

object
version
number

X.509 certificate version.

Example3.0
serial
string

X.509 certificate serial number.

Example1542962969512
issuer
string

The issuer name of the certificate.

ExampleCN=Appgate SDP CA
subject
string

The subject name of the certificate.

ExampleCN=Appgate SDP CA
validFrom
string (date-time)

Since when the certificate is valid from.

validTo
string (date-time)

Until when the certificate is valid.

fingerprint
string

SHA256 fingerprint of the certificate.

Exampled30247cee99a056c5ecdc409549165886d02925f9c64b681dff3d2ecf653355f
certificate
string (byte)

Base64 encoded binary of the certificate. Either DER or PEM formatted depending on the request.

subjectPublicKey
string (byte)

Base64 encoded public key of the certificate.

nameConstraintsPermitted
Array of string

Name constraints extension details for permitted hostnames or IPs.

string
Exampleappgate.company.com
nameConstraintsExcluded
Array of string

Name constraints extension details for excluded hostnames or IPs.

string
Examplecompany.com
crlUrl
string

The URL where the CRL is hosted.

Examplehttps://authority.company.com/appgate.crl
401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

422

Request validation error. Check "errors" array for details.

Expand All
object

Http 422 error for object validation.

id
string

Machine readable error code.

message
string

Human readable error details.

errors
Array of object

List of fields with validation errors.

object
field
string

Name of the field that failed validation.

Examplename
message
string

Failure reason.

Examplemay not be null
500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.